
#include "pw/scene/component.hpp"

#include <pw/core/vector.hpp>
#include <pw/core/quaternion.hpp>
#include "pw/scene/node.hpp"

#include <string>

#include <iostream>

namespace pw {

component::component(node &host)
	: _node(host)
{
}

component::component(const component &other)
	: _node(other._node)
{
}

component::~component()
{
}

bool component::enabled() const
{
	return _enabled;
}

void component::set_enabled(bool enabled)
{
	_enabled = enabled;
}

uint32_t component::weight() const
{
	return _weight;
}

void component::set_weight(const uint32_t &weight)
{
	_weight = weight;
}


class material_component {

	enum shading_input {
		albedo,
		specular
	};

//	std::map<shading_input,vector4> _colors;


//	std::shared_ptr<image> _albedo;
};


//class trs : public transform {

//    vector3d _position;
//    vector3d _scale;
//    quaterniond _rotation;
//};


}
